POST Vehicles
Use this endpoint to create a new vehicle within an organization.
User level: Advanced
Endpoint
POST /v1/{scopeId}/vehicles| Property | Value |
|---|---|
| Method | POST |
| Scope ID | Organization UUID |
| Authentication | Authorization: Bearer <access_token> |
| Required scope | routix:vehicles:write |
| Content-Type | application/json |
| Request body | JSON object |
Allowed create fields
| Field |
|---|
license_plate |
name |
vehicle_type |
status |
brand |
model |
comment |
Example request
curl -X POST "https://api.routix.com/v1/550e8400-e29b-41d4-a716-446655440050/vehicles" \
-H "Authorization: Bearer eyJhbGciOiJIUzI1NiIs..." \
-H "Content-Type: application/json" \
-d '{
"license_plate": "12-AB-34",
"name": "Truck 12",
"vehicle_type": "truck",
"status": "active"
}'Example response
{
"data": {
"id": "550e8400-e29b-41d4-a716-446655440051",
"license_plate": "12-AB-34",
"name": "Truck 12",
"vehicle_type": "truck",
"status": "active"
},
"version": "v1"
}Last updated on

